summaryrefslogtreecommitdiff
path: root/coverage
diff options
context:
space:
mode:
authorKai Liu <kailiu@fb.com>2013-08-14 13:29:05 -0700
committerKai Liu <kailiu@fb.com>2013-08-15 12:59:45 -0700
commit457dcc605a910c74d5d353b5a99a54ce70f8a456 (patch)
tree8828675b72d28dbfc4f7b7d318a1a78e8f544c22 /coverage
parent85d83a150b8267a1b9d061132fbd32aba95dcb48 (diff)
Clean up the Makefile and the build scripts
Summary: As Aaron suggested, there are quite some problems with our Makefile and scripts. So in this diff I did some cleanup for them and revise some part of the scripts/makefile to help people better understand some mysterious parts. Test Plan: Ran make in several modes; Ran the updated scripts. Reviewers: dhruba, emayanke, akushner Differential Revision: https://reviews.facebook.net/D12285
Diffstat (limited to 'coverage')
-rwxr-xr-xcoverage/coverage_test.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/coverage/coverage_test.sh b/coverage/coverage_test.sh
index a3edc879b..86ea06bcb 100755
--- a/coverage/coverage_test.sh
+++ b/coverage/coverage_test.sh
@@ -11,13 +11,13 @@ fi
ROOT=".."
# Fetch right version of gcov
if [ -d /mnt/gvfs/third-party -a -z "$CXX" ]; then
- source $ROOT/fbcode.gcc471.sh
+ source $ROOT/build_tools/fbcode.gcc471.sh
GCOV=$TOOLCHAIN_EXECUTABLES/gcc/gcc-4.7.1/cc6c9dc/bin/gcov
else
GCOV=$(which gcov)
fi
-COVERAGE_DIR=$(mktemp -t -d rocksdb_coverage_XXXX)
+COVERAGE_DIR="$PWD/COVERAGE_REPORT"
mkdir -p $COVERAGE_DIR
# Find all gcno files to generate the coverage report
@@ -47,16 +47,14 @@ echo -e "Generated coverage report for recently updated files: $RECENT_REPORT\n"
# Generate the html report. If we cannot find lcov in this machine, we'll simply
# skip this step.
echo "Generating the html coverage report..."
-set +e
-LCOV=$(which lcov 2>/dev/null)
+
+LCOV=$(which lcov || true 2>/dev/null)
if [ -z $LCOV ]
then
echo "Skip: Cannot find lcov to generate the html report."
exit 0
fi
-set -e
-
(cd $ROOT; lcov --no-external \
--capture \
--directory $PWD \